r.digit(1)

NAME
r.digit - Interactive tool used to draw and save vector features on a graphics monitor using a pointing device (mouse) and save to a raster map.

KEYWORDS
raster

SYNOPSIS
r.digit
r.digit help
r.digit output=name [bgcmd=string] [--overwrite]

  Flags:

--overwrite

  Parameters:

output=name
    Name for output raster map

bgcmd=string
    Display commands to be used for canvas backdrop (separated by ';')

DESCRIPTION
The GRASS tool r.digit provides the user with a way to draw lines, areas, and circles on a monitor screen, and to save these features in a raster map. Lines, areas, and circles are to be drawn using a pointing device (mouse). A mouse button menu indicates the consequences of pressing each mouse button. The user is requested to enter the category number associated with the line, area, or circle subsequently drawn by the user. Lines, areas, and circles are defined by the series of points marked by the user inside the map window. r.digit will close areas when the user has not. By drawing a series of such features, the user can repair maps, identify areas of interest, or simply draw graphics for advertisement. When drawing is completed, a raster map based on the user's instructions is generated. It is available for use as a mask, in analyses, and for display.

Digitizing is done in a "polygon" method. Each area is circumscribed completely. Two or more overlapping areas and/or lines might define a single part of a map. Each part of the map, however, is assigned only the LAST area or line which covered it.

  THE PROCESS:

    Choose to define an area or line, exit, or quit. If you choose to finish (exit) a new map is then created. If you quit, the session exits with nothing created.

    If you choose to make an area or line you must identify the category number for that area or line.

    Using the mouse trace the line or circumscribe the area; or, finish (go to Step 1).

SEE ALSO
v.digit, d.graph, d.linegraph, g.region, r.in.poly, r.mapcalc, r.to.vect, v.in.ascii

AUTHOR
Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2006/10/04 10:32:32 $

Full index